    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.Choice

    java.lang.Object
       |
       +----java.awt.Component
               |
               +----java.awt.Choice

public class Choice
extends Component
implements ItemSelectable

The `Choice` class presents a pop-up menu of choices. The current choice is displayed as the title of the menu.

The following code example produces a pop-up menu:

>      Choice ColorChooser = new Choice();
>      ColorChooser.add("Green");
>      ColorChooser.add("Red");
>      ColorChooser.add("Blue");

After this choice menu has been added to a panel, it appears as follows in its normal state:

In the picture, `"Green"` is the current choice. Pushing the mouse button down on the object causes a menu to appear with the current choice highlighted.

##

Choice()
  Creates a new choice menu.

##

add(String)
  Adds an item to this `Choice` menu.
addItem(String)
  Adds an item to this Choice.
addItemListener(ItemListener)
  Adds the specified item listener to receive item events from this `Choice` menu.
addNotify()
  Creates the Choice's peer.
countItems()
  Deprecated.
getItem(int)
  Gets the string at the specified index in this `Choice` menu.
getItemCount()
  Returns the number of items in this `Choice` menu.
getSelectedIndex()
  Returns the index of the currently selected item.
getSelectedItem()
  Gets a representation of the current choice as a string.
getSelectedObjects()
  Returns an array (length 1) containing the currently selected item.
insert(String, int)
  Inserts the item into this choice at the specified position.
paramString()
  Returns the parameter string representing the state of this choice menu.
processEvent(AWTEvent)
  Processes events on this choice.
processItemEvent(ItemEvent)
  Processes item events occurring on this `Choice` menu by dispatching them to any registered `ItemListener` objects.
remove(int)
  Removes an item from the choice menu at the specified position.
remove(String)
  Remove the first occurrence of `item` from the `Choice` menu.
removeAll()
  Removes all items from the choice menu.
removeItemListener(ItemListener)
  Removes the specified item listener so that it no longer receives item events from this `Choice` menu.
select(int)
  Sets the selected item in this `Choice` menu to be the item at the specified position.
select(String)
  Sets the selected item in this `Choice` menu to be the item whose name is equal to the specified string.

##

Choice

     public Choice()

  Creates a new choice menu. The menu initially has no items in it.

  By default, the first item added to the choice menu becomes the selected item, until a different selection is made by the user by calling one of the `select` methods.

  See Also:
    select, select

##

addNotify

     public void addNotify()

  Creates the Choice's peer. This peer allows us to change the look of the Choice without changing its functionality.

  Overrides:
    addNotify in class Component
  See Also:
    createChoice, getToolkit

getItemCount

     public int getItemCount()

  Returns the number of items in this `Choice` menu.

  See Also:
    getItem

countItems

     public int countItems()

  Note: countItems() is deprecated. As of JDK version 1.1, replaced by `getItemCount()`.

getItem

     public String getItem(int index)

  Gets the string at the specified index in this `Choice` menu.

  Parameters:
    index - the index at which to begin.
  See Also:
    getItemCount

add

     public void add(String item)

  Adds an item to this `Choice` menu.

  Parameters:
    item - the item to be added
  Throws: NullPointerException
    if the item's value is `null`.

addItem

     public synchronized void addItem(String item)

  Adds an item to this Choice.

  Parameters:
    item - the item to be added
  Throws: NullPointerException
    If the item's value is equal to null.

insert

     public synchronized void insert(String item,
                                     int index)

  Inserts the item into this choice at the specified position.

  Parameters:
    item - the item to be inserted
    index - the position at which the item should be inserted
  Throws: IllegalArgumentException
    if index is less than 0.

remove

     public synchronized void remove(String item)

  Remove the first occurrence of `item` from the `Choice` menu.

  Parameters:
    item - the item to remove from this `Choice` menu.
  Throws: IllegalArgumentException
    if the item doesn't exist in the choice menu.

remove

     public synchronized void remove(int position)

  Removes an item from the choice menu at the specified position.

  Parameters:
    position - the position of the item.

removeAll

     public synchronized void removeAll()

  Removes all items from the choice menu.

  See Also:
    remove

getSelectedItem

     public synchronized String getSelectedItem()

  Gets a representation of the current choice as a string.

  Returns:
    a string representation of the currently selected item in this choice menu.
  See Also:
    getSelectedIndex

getSelectedObjects

     public synchronized Object[] getSelectedObjects()

  Returns an array (length 1) containing the currently selected item. If this choice has no items, returns null.

  See Also:
    ItemSelectable

getSelectedIndex

     public int getSelectedIndex()

  Returns the index of the currently selected item.

  See Also:
    getSelectedItem

select

     public void select(int pos)

  Sets the selected item in this `Choice` menu to be the item at the specified position.

  Parameters:
    pos - the positon of the selected item.
  Throws: IllegalArgumentException
    if the specified position is invalid.
  See Also:
    getSelectedItem, getSelectedIndex

select

     public synchronized void select(String str)

  Sets the selected item in this `Choice` menu to be the item whose name is equal to the specified string. If more than one item matches (is equal to) the specified string, the one with the smallest index is selected.

  Parameters:
    str - the specified string
  See Also:
    getSelectedItem, getSelectedIndex

addItemListener

     public synchronized void addItemListener(ItemListener l)

  Adds the specified item listener to receive item events from this `Choice` menu.

  Parameters:
    l - the item listener.
  See Also:
    ItemEvent, ItemListener, removeItemListener

removeItemListener

     public synchronized void removeItemListener(ItemListener l)

  Removes the specified item listener so that it no longer receives item events from this `Choice` menu.

  Parameters:
    l - the item listener.
  See Also:
    ItemEvent, ItemListener, addItemListener

processEvent

     protected void processEvent(AWTEvent e)

  Processes events on this choice. If the event is an instance of `ItemEvent`, it invokes the `processItemEvent` method. Otherwise, it calls its superclass's `processEvent` method.

  Parameters:
    e - the event.
  Overrides:
    processEvent in class Component
  See Also:
    ItemEvent, processItemEvent

processItemEvent

     protected void processItemEvent(ItemEvent e)

  Processes item events occurring on this `Choice` menu by dispatching them to any registered `ItemListener` objects.

  This method is not called unless item events are enabled for this component. Item events are enabled when one of the following occurs:

  - An `ItemListener` object is registered via `addItemListener`.
  - Item events are enabled via `enableEvents`.

  Parameters:
    e - the item event.
  See Also:
    ItemEvent, ItemListener, addItemListener, enableEvents

paramString

     protected String paramString()

  Returns the parameter string representing the state of this choice menu. This string is useful for debugging.

  Returns:
    the parameter string of this `Choice` menu.
  Overrides:
    paramString in class Component

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.